Subject: Re: bug#74361: [PATCH] New option xref-navigation-display-window-action

From: Dmitry Gutov <[email-masked]>
Date: Thu, 28 Nov 2024 19:15:17 +0200

On 28/11/2024 11:27, martin rudalics wrote:

>  >> Is there any other 'display-buffer' call in xref.el that would set up a
>  >> category and prefer any other but the selected window?
>  >
>  > By default, you mean?
> 
> If default stands for using the ACTION argument of 'display-buffer',
> then "yes".

There are only two functions in xref.el that specify 'category' for 
'display-buffer', so no.

>  > We want to select the new window in relation the "original" window
>  > (with a file-visiting buffer), while avoiding touching the "results
>  > list" window as well. E.g. when the original command was
>  > xref-find-definitions-other-window.
> 
> Let's see what Juri thinks of an
> 
> (unsuitable . window-or-list-of-windows)
> 
> alist entry.

Could be helpful - keeping in mind having to use a compatibility shim 
for older Emacs.

>  > It's probably not an ideal solution, but one settled on over several 
> tries.
> 
> It is a pain for the caller.

Indeed.